"use client"
import React, { useEffect, useState } from 'react';
import { apiInstance } from "@/shared/config/apiConfig";
import { AxiosError } from "axios";

const GoogleAnalyticsWidget = async () => {

    const getAnalytics = async () => {
        try {
          const response = await apiInstance.get("/report/google_analytics/");
          return response.data;
        } catch (error: unknown) {
          if (error instanceof AxiosError) console.log(error.message);
        }
      };
    
    const data = await getAnalytics();

  return (
    <div><p>Total cummulative visitors: {data.visitors}</p></div>
)

};

export default GoogleAnalyticsWidget;
